import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostBlockungSchiene extends JavaObject {
    id: number;
    bezeichnung: String;
    wochenstunden: Number | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostBlockungSchiene;
    static transpilerToJSON(obj: GostBlockungSchiene): string;
    static transpilerToJSONPatch(obj: Partial<GostBlockungSchiene>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostBlockungSchiene(obj: unknown): GostBlockungSchiene;
